Skip to main content
GET
/
waap
/
v2
/
ip-info
/
counts
Get extended IP metrics (account-wide)
curl --request GET \
  --url https://api.gcore.com/waap/v2/ip-info/counts \
  --header 'Authorization: <api-key>'
{
  "total_requests": 123,
  "blocked_requests": 123,
  "unique_sessions": 123,
  "attack_types": 123,
  "domains": 123,
  "paths": 123,
  "user_agents": 123
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

ip
required

The IP address to check

Response

Successful Response

total_requests
integer
required

The total number of requests made by the IP address

blocked_requests
integer
required

The number of requests from the IP address that were blocked

unique_sessions
integer
required

The number of unique sessions from the IP address

attack_types
integer
required

The number of distinct attack types (rules) that blocked requests from this IP

domains
integer
required

The number of distinct domains accessed by this IP

paths
integer
required

The number of distinct paths (URLs) accessed by this IP

user_agents
integer
required

The number of distinct user agents used by this IP